Module java.desktop
Package javax.swing.plaf.metal

# Class MetalFileChooserUI.DirectoryComboBoxAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  `MetalFileChooserUI`

protected class MetalFileChooserUI.DirectoryComboBoxAction extends AbstractAction
Acts when DirectoryComboBox has changed the selected item.

- ## Field Summary

  ### Fields declared in class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DirectoryComboBoxAction()`
  Constructs a new instance of `DirectoryComboBoxAction`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Invoked when an action occurs.

  ### Methods declared in class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### DirectoryComboBoxAction

    protected DirectoryComboBoxAction()
    Constructs a new instance of `DirectoryComboBoxAction`.

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Description copied from interface: `ActionListener`
    Invoked when an action occurs.
    Parameters:
      `e` - the event to be processed